Fork a finished root run at a step into a new task
POST
/harness/runs/{id}/forkHeaders
Authorizationstring
Bearer <token>. A Hexel Studio access token for your organization.
X-Workspace-Idstring
The workspace the request acts in (ws_...). It never grants access by itself.
X-Environment-Idstring
The environment the request acts in (env_...). It never grants access by itself.
Body parameters
instructionoptional string
A new instruction for the fork.
modeloptional string
Another model the agent's bundle allows.
Another version of the agent.
Returns
201The forked task.Task
agentstring
agent_idstring
budgetany
Any JSON value.
bundle_digeststring
created_bystring
end_reasonoptional string
environment_idstring
goalstring
goal_digestoptional string
idstring
inputsany
Any JSON value.
inputs_digestoptional string
org_idstring
outputsoptional object
run_idstring
sandbox_templateoptional string
statestring
One of: "queued", "running", "waiting", "paused", "succeeded", "failed", "budget_exhausted", "cancelled"
swarm_idoptional string
waiting_reasonoptional string
workspace_idstring
Errors
- default